# RUN: not yaml2obj -o %t %s 2>&1 | FileCheck %s

!ELF
FileHeader:
  Class: ELFCLASS64
  Data: ELFDATA2LSB
  Type: ET_REL
  Machine: EM_X86_64

Sections:
  - Name: .text
    Type: SHT_PROGBITS
    Flags: [ SHF_ALLOC, SHF_EXECINSTR ]
    Content: EBFE
    AddressAlign: 2

  - Name: .data
    Type: SHT_PROGBITS
    Flags: [ SHF_ALLOC ]
    Content: 0000000000000000
    Size: 2

# CHECK: YAML:17:5: error: Section size must be greater or equal to the content size
# CHECK-NEXT: - Name: .data
# CHECK-NEXT:   ^
# CHECK-NEXT: yaml2obj: Failed to parse YAML file!
